## vdr-plugin-mp3 0.9.8

=== Makefile ===
#
# MP3/MPlayer plugin to VDR
#
# (C) 2001-2004 Stefan Huelswitt <s.huelswitt@gmx.de>
#
# This code is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This code is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
# Or, point your browser to http://www.gnu.org/copyleft/gpl.html

# You can change the compile options here or create a Make.config
# in the VDR directory an set them there.

### uncomment one of these lines, if you don't want one of the plugins
#WITHOUT_MP3=1
#WITHOUT_MPLAYER=1

### uncomment the following line, if you don't have libsndfile installed
#WITHOUT_LIBSNDFILE=1

### uncomment the following line, if you don't have libvorbisfile installed
#WITHOUT_LIBVORBISFILE=1

### uncomment the following line, if you want OSS sound output
#WITH_OSS_OUTPUT=1

### uncomment the following line, if you want to include debug symbols
#DBG=1

### The C++ compiler and options:
CXX      ?= g++
CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual

###############################################
###############################################
#
# no user configurable options below this point
#
###############################################
###############################################

### The directory environment:

DVBDIR = ../../../../DVB
VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
#
PLUGIN  = mp3
PLUGIN2 = mplayer

ifndef WITHOUT_MP3
  ALL += libvdr-$(PLUGIN).so
endif
ifndef WITHOUT_MPLAYER
  ALL += libvdr-$(PLUGIN2).so
endif

### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'define PLUGIN_VERSION' version.h | awk '{ print $$3 }' | sed -e 's/[";]//g')

### The version number of VDR (taken from VDR's "config.h"):

VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
DEFINES  += -D_GNU_SOURCE

### The object files (add further files here):

COM_OBJS = i18n.o data.o menu.o 

OBJS     = $(PLUGIN).o $(COM_OBJS)\
            data-mp3.o setup-mp3.o player-mp3.o stream.o network.o\
            decoder.o decoder-mp3.o decoder-mp3-stream.o decoder-snd.o \
            decoder-ogg.o
LIBS     = -lz -lmad -lid3tag

ifndef WITHOUT_LIBSNDFILE
  LIBS    += -lsndfile
  DEFINES += -DHAVE_SNDFILE
endif
ifndef WITHOUT_LIBVORBISFILE
  LIBS    += -lvorbisfile -lvorbis
  DEFINES += -DHAVE_VORBISFILE
endif
ifdef WITH_OSS_OUTPUT
  DEFINES += -DWITH_OSS
endif

OBJS2    = $(PLUGIN2).o $(COM_OBJS)\
            setup-mplayer.o player-mplayer.o
LIBS2    = 

ifeq ($(shell test -f $(VDRDIR)/fontsym.h ; echo $$?),0)
  DEFINES += -DHAVE_BEAUTYPATCH
endif  

ifdef DBG
CXXFLAGS += -g
endif

### Implicit rules:

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

# Dependencies:

MAKEDEP = g++ -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS2:%.o=%.c) > $@

-include $(DEPFILE)

### Targets:

all: $(ALL)

libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

libvdr-$(PLUGIN2).so: $(OBJS2)
	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tar.gz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tar.gz

clean:
	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) libvdr-*.so $(PACKAGE).tar.gz core* *~

## vdr-plugin-mp3 0.9.12

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MP3/MPlayer plugin to VDR
 #
-# (C) 2001-2004 Stefan Huelswitt <s.huelswitt@gmx.de>
+# (C) 2001-2005 Stefan Huelswitt <s.huelswitt@gmx.de>
 #
 # This code is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -81,6 +81,7 @@
 ### The version number of VDR (taken from VDR's "config.h"):
 
 VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
+VDRVERSNUM = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | awk '{ print $$3 }')
 
 ### The name of the distribution archive:
 
@@ -90,11 +91,11 @@
 ### Includes and Defines (add further entries here):
 
 INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
-DEFINES  += -D_GNU_SOURCE
+DEFINES  += -D_GNU_SOURCE -DVDRVERSNUM=$(VDRVERSNUM)
 
 ### The object files (add further files here):
 
-COM_OBJS = i18n.o data.o menu.o 
+COM_OBJS = i18n.o data.o menu.o
 
 OBJS     = $(PLUGIN).o $(COM_OBJS)\
             data-mp3.o setup-mp3.o player-mp3.o stream.o network.o\
@@ -112,6 +113,9 @@
 endif
 ifdef WITH_OSS_OUTPUT
   DEFINES += -DWITH_OSS
+endif
+ifdef BROKEN_PCM
+  DEFINES += -DBROKEN_PCM
 endif
 
 OBJS2    = $(PLUGIN2).o $(COM_OBJS)\
@@ -152,6 +156,9 @@
 	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
 
+i18ntest: i18ntest.c i18n.c i18n.h
+	$(CXX) $(CXXFLAGS) $(INCLUDES) $< -o $@
+
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
@@ -161,4 +168,4 @@
 	@echo Distribution package created as $(PACKAGE).tar.gz
 
 clean:
-	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) libvdr-*.so $(PACKAGE).tar.gz core* *~
+	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) i18ntest libvdr-*.so $(PACKAGE).tar.gz core* *~

## vdr-plugin-mp3 0.9.14

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 ### The C++ compiler and options:
 CXX      ?= g++
-CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -O2 -fPIC -Wall -Woverloaded-virtual
 
 ###############################################
 ###############################################

## vdr-plugin-mp3 0.9.15

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MP3/MPlayer plugin to VDR
 #
-# (C) 2001-2005 Stefan Huelswitt <s.huelswitt@gmx.de>
+# (C) 2001-2006 Stefan Huelswitt <s.huelswitt@gmx.de>
 #
 # This code is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -51,14 +51,9 @@
 
 ### The directory environment:
 
-DVBDIR = ../../../../DVB
 VDRDIR = ../../..
 LIBDIR = ../../lib
 TMPDIR = /tmp
-
-### Allow user defined options to overwrite defaults:
-
--include $(VDRDIR)/Make.config
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -67,12 +62,9 @@
 PLUGIN  = mp3
 PLUGIN2 = mplayer
 
-ifndef WITHOUT_MP3
-  ALL += libvdr-$(PLUGIN).so
-endif
-ifndef WITHOUT_MPLAYER
-  ALL += libvdr-$(PLUGIN2).so
-endif
+### Allow user defined options to overwrite defaults:
+
+-include $(VDRDIR)/Make.config
 
 ### The version number of this plugin (taken from the main source file):
 
@@ -80,8 +72,16 @@
 
 ### The version number of VDR (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell grep 'define VDRVERSION ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
-VDRVERSNUM = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | awk '{ print $$3 }')
+VDRVERSION = $(shell sed -ne '/define VDRVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+APIVERSION = $(shell sed -ne '/define APIVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+ifeq ($(strip $(APIVERSION)),)
+   APIVERSION = $(VDRVERSION)
+endif
+VDRVERSNUM = $(shell sed -ne '/define VDRVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
+APIVERSNUM = $(shell sed -ne '/define APIVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
+ifeq ($(strip $(APIVERSNUM)),)
+   APIVERSNUM = $(VDRVERSNUM)
+endif
 
 ### The name of the distribution archive:
 
@@ -90,10 +90,17 @@
 
 ### Includes and Defines (add further entries here):
 
-INCLUDES += -I$(VDRDIR)/include -I$(DVBDIR)/include
-DEFINES  += -D_GNU_SOURCE -DVDRVERSNUM=$(VDRVERSNUM)
+INCLUDES += -I$(VDRDIR)/include
+DEFINES  += -D_GNU_SOURCE -DAPIVERSNUM=$(APIVERSNUM)
 
 ### The object files (add further files here):
+
+ifndef WITHOUT_MP3
+  ALL += libvdr-$(PLUGIN).so
+endif
+ifndef WITHOUT_MPLAYER
+  ALL += libvdr-$(PLUGIN2).so
+endif
 
 COM_OBJS = i18n.o data.o menu.o
 
@@ -101,7 +108,7 @@
             data-mp3.o setup-mp3.o player-mp3.o stream.o network.o\
             decoder.o decoder-mp3.o decoder-mp3-stream.o decoder-snd.o \
             decoder-ogg.o
-LIBS     = -lz -lmad -lid3tag
+LIBS     = -lmad -lid3tag
 
 ifndef WITHOUT_LIBSNDFILE
   LIBS    += -lsndfile
@@ -150,11 +157,11 @@
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 libvdr-$(PLUGIN2).so: $(OBJS2)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
-	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
+	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
 i18ntest: i18ntest.c i18n.c i18n.h
 	$(CXX) $(CXXFLAGS) $(INCLUDES) $< -o $@

## vdr-plugin-mp3 0.10.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MP3/MPlayer plugin to VDR
 #
-# (C) 2001-2006 Stefan Huelswitt <s.huelswitt@gmx.de>
+# (C) 2001-2007 Stefan Huelswitt <s.huelswitt@gmx.de>
 #
 # This code is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -97,9 +97,15 @@
 
 ifndef WITHOUT_MP3
   ALL += libvdr-$(PLUGIN).so
+  ifneq ($(shell grep -l 'Phrases' $(VDRDIR)/i18n.c),$(VDRDIR)/i18n.c)
+    ALL += i18n-$(PLUGIN)
+  endif
 endif
 ifndef WITHOUT_MPLAYER
   ALL += libvdr-$(PLUGIN2).so
+  ifneq ($(shell grep -l 'Phrases' $(VDRDIR)/i18n.c),$(VDRDIR)/i18n.c)
+    ALL += i18n-$(PLUGIN2)
+  endif
 endif
 
 COM_OBJS = i18n.o data.o menu.o
@@ -134,13 +140,17 @@
 endif  
 
 ifdef DBG
-CXXFLAGS += -g
-endif
-
-### Implicit rules:
-
-%.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
+  CXXFLAGS += -g
+endif
+
+### Internationalization (I18N):
+
+PODIR     = po
+I18Npot   = $(PODIR)/mp3-mplayer.pot
+I18Npots  = $(notdir $(foreach file, $(wildcard $(PODIR)/*.po), $(basename $(file))))
+I18Nmsgs  = $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo,$(I18Npots)))
+I18Nmsgs2 = $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/vdr-$(PLUGIN2).mo,$(I18Npots)))
+LOCALEDIR = $(VDRDIR)/locale
 
 # Dependencies:
 
@@ -154,6 +164,10 @@
 ### Targets:
 
 all: $(ALL)
+.PHONY: i18n-$(PLUGIN) i18n-$(PLUGIN2)
+
+%.o: %.c
+	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
 
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
@@ -163,8 +177,27 @@
 	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
-i18ntest: i18ntest.c i18n.c i18n.h
-	$(CXX) $(CXXFLAGS) $(INCLUDES) $< -o $@
+$(I18Npot): $(shell grep -rl '\(tr\|trNOOP\)(\".*\")' *.c $(SYSDIR))
+	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<s.huelswitt@gmx.de>' -o $@ $^
+
+%.po: $(I18Npot)
+	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+	@touch $@
+
+%.mo: %.po
+	msgfmt -c -o $@ $<
+
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+i18n-$(PLUGIN): $(I18Nmsgs)
+
+$(I18Nmsgs2): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN2).mo: $(PODIR)/%.mo
+	@mkdir -p $(dir $@)
+	cp $< $@
+
+i18n-$(PLUGIN2): $(I18Nmsgs2)
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
@@ -175,4 +208,5 @@
 	@echo Distribution package created as $(PACKAGE).tar.gz
 
 clean:
-	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) i18ntest libvdr-*.so $(PACKAGE).tar.gz core* *~
+	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) libvdr-*.so $(PACKAGE).tar.gz core* *~
+	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot

## vdr-plugin-mp3 0.10.2

=== debian/changelog ===
vdr-plugin-mp3 (0.10.2-23) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Standards-Version: 4.1.3
  * Don't do a recursive chown on /var/lib/vdr-pugin-mp*

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:33:45 +0200

vdr-plugin-mp3 (0.10.2-22) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:01:26 +0100

vdr-plugin-mp3 (0.10.2-21) unstable; urgency=medium

  * Added vdr 2.1.x compatibility patch from Lars Hanisch (yaVDR)
  * Build-depend on vdr-dev (>= 2.2.0)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Sun, 01 Mar 2015 19:48:32 +0100

vdr-plugin-mp3 (0.10.2-20) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:17:56 +0100

vdr-plugin-mp3 (0.10.2-19) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:11 +0200

vdr-plugin-mp3 (0.10.2-18) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:17 +0100

vdr-plugin-mp3 (0.10.2-17) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:44:45 +0100

vdr-plugin-mp3 (0.10.2-16) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:19:05 +0100

vdr-plugin-mp3 (0.10.2-15) unstable; urgency=low

  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Mar 2013 13:33:44 +0100

vdr-plugin-mp3 (0.10.2-14) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:11:18 +0200

vdr-plugin-mp3 (0.10.2-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:14 +0200

vdr-plugin-mp3 (0.10.2-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:54 +0200

vdr-plugin-mp3 (0.10.2-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:17 +0100

vdr-plugin-mp3 (0.10.2-9) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:35 +0100

vdr-plugin-mp3 (0.10.2-8) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:53 +0200

vdr-plugin-mp3 (0.10.2-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:33 +0200

vdr-plugin-mp3 (0.10.2-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2
  * Fixed spelling errors in description

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:35 +0200

vdr-plugin-mp3 (0.10.2-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:11 +0200

vdr-plugin-mp3 (0.10.2-4) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 19:52:42 +0200

vdr-plugin-mp3 (0.10.2-3) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:09:21 +0200

vdr-plugin-mp3 (0.10.2-2) unstable; urgency=low

  * mplayer.sh, vdrmplayer.sh.conf: Add support for subcp and subfont-text-scale
    options - taken from 0.10.1-14ubuntu1 by Ilya Barygin (Closes: #571995)
  * Standards-Version: 3.8.4

 -- Tobias Grimm <etobi@debian.org>  Fri, 05 Mar 2010 00:46:26 +0100

vdr-plugin-mp3 (0.10.2-1) unstable; urgency=low

  * New upstream release
  * Dropped 12_gcc-4.4.dpatch - fixed upstream
  * Updated 10_debian-fhs-defaults.dpatch
  * Dropped 01_mp3-ogg-conv-utf8.dpatch - fixed upstream
  * Added 20_Makefile-fix.dpatch

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Jan 2010 20:51:31 +0100

vdr-plugin-mp3 (0.10.1-14) unstable; urgency=low

  * Added 12_gcc-4.4.dpatch
  * Standards-Version: 3.8.3
  * Removed non-standard shebang line from debian/rules (Closes: #552646)
  * Added README.source
  * Applied 11_mplayer.sh.conf-defaults to debian/mplayer.sh and dropped it
  * Applied 02_mplayer.sh-mysterix to debian/mplayer.sh and dropped it
  * Applied 03_mplayer.sh-websources to debian/mplayer.sh and dropped it
  * Applied 04_mplayer.sh-cache-min to debian/mplayer.sh and dropped it
  * Applied 10_debian-fhs-defaults to debian/mplayer.sh and stripped it

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:47:58 +0100

vdr-plugin-mp3 (0.10.1-13) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:58 +0200

vdr-plugin-mp3 (0.10.1-12) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0
  * Using COMPAT=5 now

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:59:50 +0200

vdr-plugin-mp3 (0.10.1-11) unstable; urgency=low

  * Upload to unstable

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:42:35 +0200

vdr-plugin-mp3 (0.10.1-10) experimental; urgency=low

  * Increased package version to force rebuild for vdr 1.6.0-1ctvdr7

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 12 May 2008 13:02:15 +0200

vdr-plugin-mp3 (0.10.1-9) experimental; urgency=low



=== debian/control ===
Source: vdr-plugin-mp3
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
Standards-Version: 4.1.3
Homepage: http://www.muempf.de/
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-mp3.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-mp3

Package: vdr-plugin-mp3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, eject
Suggests: mjpegtools (>=1:1.8.0), netpbm
Description: MP3 playback plugin for VDR
 This plugin for VDR allows one to play back mp3's, ogg-files and 
 audio-cds.

Package: vdr-plugin-mplayer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}, eject (>=2.0.3-1), mplayer
Description: MPlayer playback plugin for VDR
 This plugin for VDR allows one to play back any video format supported
 by MPLayer.

=== debian/watch ===
version=2
http://www.muempf.de/down/vdr-mp3-(.*)\.tar\.gz debian uupdate

## vdr-plugin-mp3 0.10.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # MP3/MPlayer plugin to VDR
 #
-# (C) 2001-2007 Stefan Huelswitt <s.huelswitt@gmx.de>
+# (C) 2001-2009 Stefan Huelswitt <s.huelswitt@gmx.de>
 #
 # This code is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
@@ -65,27 +65,35 @@
 ### Allow user defined options to overwrite defaults:
 
 -include $(VDRDIR)/Make.config
-
-### The version number of this plugin (taken from the main source file):
-
-VERSION = $(shell grep 'define PLUGIN_VERSION' version.h | awk '{ print $$3 }' | sed -e 's/[";]//g')
+-include Make.config
+
+### The version number of this plugin:
+
+HGARCHIVE = .hg_archival.txt
+RELEASE := $(shell grep 'define PLUGIN_RELEASE' version.h | awk '{ print $$3 }' | sed -e 's/[";]//g')
+RELSTR  := $(shell if test -d .hg; then \
+                     echo -n "-"; (hg identify 2>/dev/null || echo -n "Unknown") | sed -e 's/ .*//'; \
+                   elif test -r $(HGARCHIVE); then \
+                     echo -n "-"; grep "^node" $(HGARCHIVE) | awk '{ printf "%.12s",$$2 }'; \
+                   fi)
+VERSION := $(RELEASE)$(RELSTR)
 
 ### The version number of VDR (taken from VDR's "config.h"):
 
-VDRVERSION = $(shell sed -ne '/define VDRVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
-APIVERSION = $(shell sed -ne '/define APIVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
+VDRVERSION := $(shell sed -ne '/define VDRVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
+APIVERSION := $(shell sed -ne '/define APIVERSION/ s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
 ifeq ($(strip $(APIVERSION)),)
    APIVERSION = $(VDRVERSION)
 endif
-VDRVERSNUM = $(shell sed -ne '/define VDRVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
-APIVERSNUM = $(shell sed -ne '/define APIVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/config.h)
+VDRVERSNUM := $(shell sed -ne '/define VDRVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
+APIVERSNUM := $(shell sed -ne '/define APIVERSNUM/ s/^.[a-zA-Z ]*\([0-9]*\) .*$$/\1/p' $(VDRDIR)/include/vdr/config.h)
 ifeq ($(strip $(APIVERSNUM)),)
    APIVERSNUM = $(VDRVERSNUM)
 endif
 
 ### The name of the distribution archive:
 
-ARCHIVE = $(PLUGIN)-$(VERSION)
+ARCHIVE = $(PLUGIN)-$(RELEASE)
 PACKAGE = vdr-$(ARCHIVE)
 
 ### Includes and Defines (add further entries here):
@@ -95,25 +103,12 @@
 
 ### The object files (add further files here):
 
-ifndef WITHOUT_MP3
-  ALL += libvdr-$(PLUGIN).so
-  ifneq ($(shell grep -l 'Phrases' $(VDRDIR)/i18n.c),$(VDRDIR)/i18n.c)
-    ALL += i18n-$(PLUGIN)
-  endif
-endif
-ifndef WITHOUT_MPLAYER
-  ALL += libvdr-$(PLUGIN2).so
-  ifneq ($(shell grep -l 'Phrases' $(VDRDIR)/i18n.c),$(VDRDIR)/i18n.c)
-    ALL += i18n-$(PLUGIN2)
-  endif
-endif
-
-COM_OBJS = i18n.o data.o menu.o
+COM_OBJS = data.o menu.o version.o
 
 OBJS     = $(PLUGIN).o $(COM_OBJS)\
             data-mp3.o setup-mp3.o player-mp3.o stream.o network.o\
             decoder.o decoder-mp3.o decoder-mp3-stream.o decoder-snd.o \
-            decoder-ogg.o
+            decoder-ogg.o decoder-ogg-stream.o compat.o
 LIBS     = -lmad -lid3tag
 
 ifndef WITHOUT_LIBSNDFILE
@@ -135,36 +130,64 @@
             setup-mplayer.o player-mplayer.o
 LIBS2    = 
 
-ifeq ($(shell test -f $(VDRDIR)/fontsym.h ; echo $$?),0)
-  DEFINES += -DHAVE_BEAUTYPATCH
-endif  
-
 ifdef DBG
   CXXFLAGS += -g
 endif
 
+ifneq ($(shell if test $(APIVERSNUM) -ge 010703; then echo "*"; fi),)
+  DEFINES += -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
+endif
+
 ### Internationalization (I18N):
 
 PODIR     = po
 I18Npot   = $(PODIR)/mp3-mplayer.pot
-I18Npots  = $(notdir $(foreach file, $(wildcard $(PODIR)/*.po), $(basename $(file))))
-I18Nmsgs  = $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo,$(I18Npots)))
-I18Nmsgs2 = $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/vdr-$(PLUGIN2).mo,$(I18Npots)))
+I18Npots  := $(notdir $(foreach file, $(wildcard $(PODIR)/*.po), $(basename $(file))))
+ifeq ($(strip $(APIVERSION)),1.5.7)
+  I18Nmo  = $(PLUGIN).mo
+  I18Nmo2 = $(PLUGIN2).mo
+else
+  I18Nmo  = vdr-$(PLUGIN).mo
+  I18Nmo2 = vdr-$(PLUGIN2).mo
+endif
 LOCALEDIR = $(VDRDIR)/locale
+I18Nmsgs  := $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/$(I18Nmo),$(I18Npots)))
+I18Nmsgs2 := $(addprefix $(LOCALEDIR)/,$(addsuffix /LC_MESSAGES/$(I18Nmo2),$(I18Npots)))
+
+HASLOCALE = $(shell grep -l 'I18N_DEFAULT_LOCALE' $(VDRDIR)/include/vdr/i18n.h)
+ifeq ($(strip $(HASLOCALE)),)
+  COM_OBJS += i18n.o
+endif
+
+### Targets:
+
+ifndef WITHOUT_MP3
+  ALL += libvdr-$(PLUGIN).so
+  ifneq ($(strip $(HASLOCALE)),)
+    ALL += i18n-$(PLUGIN)
+  endif
+endif
+ifndef WITHOUT_MPLAYER
+  ALL += libvdr-$(PLUGIN2).so
+  ifneq ($(strip $(HASLOCALE)),)
+    ALL += i18n-$(PLUGIN2)
+  endif
+endif
+
+all: $(ALL)
+.PHONY: i18n-$(PLUGIN) i18n-$(PLUGIN2)
 
 # Dependencies:
 
 MAKEDEP = g++ -MM -MG
 DEPFILE = .dependencies
-$(DEPFILE): Makefile
-	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) $(OBJS2:%.o=%.c) > $@
+DEPFILES = $(subst i18n.c,,$(subst version.c,,$(OBJS:%.o=%.c) $(OBJS2:%.o=%.c)))
+$(DEPFILE): Makefile $(DEPFILES) $(wildcard *.h)
+	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(DEPFILES) > $@
 
 -include $(DEPFILE)
 
-### Targets:
-
-all: $(ALL)
-.PHONY: i18n-$(PLUGIN) i18n-$(PLUGIN2)
+# Rules
 
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
@@ -177,27 +200,37 @@
 	$(CXX) $(CXXFLAGS) -shared $(OBJS2) $(LIBS2) -o $@
 	@cp $@ $(LIBDIR)/$@.$(APIVERSION)
 
-$(I18Npot): $(shell grep -rl '\(tr\|trNOOP\)(\".*\")' *.c $(SYSDIR))
-	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<s.huelswitt@gmx.de>' -o $@ $^
+$(I18Npot): $(shell grep -rl '\(tr\|trNOOP\)(\".*\")' *.c )
+	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --msgid-bugs-address='<s.huelswitt@gmx.de>' -o $@ $^
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+	msgmerge -U --no-wrap --no-location --backup=none -q $@ $<
 	@touch $@
 
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
-$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
+$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/$(I18Nmo): $(PODIR)/%.mo
 	@mkdir -p $(dir $@)
 	cp $< $@
 
 i18n-$(PLUGIN): $(I18Nmsgs)
 
-$(I18Nmsgs2): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN2).mo: $(PODIR)/%.mo
+$(I18Nmsgs2): $(LOCALEDIR)/%/LC_MESSAGES/$(I18Nmo2): $(PODIR)/%.mo
 	@mkdir -p $(dir $@)
 	cp $< $@
 
 i18n-$(PLUGIN2): $(I18Nmsgs2)
+
+i18n.c: $(PODIR)/*.po i18n-template.c po2i18n.pl
+	perl ./po2i18n.pl <i18n-template.c >i18n.c
+
+version.c: FORCE
+	@echo >$@.new "/* this file will be overwritten without warning */"; \
+	 echo >>$@.new 'const char *PluginVersion =' '"'$(VERSION)'";'; \
+	 diff $@.new $@ >$@.diff 2>&1; \
+	 if test -s $@.diff; then mv -f $@.new $@; fi; \
+	 rm -f $@.new $@.diff;
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
@@ -209,4 +242,7 @@
 
 clean:
 	@-rm -f $(OBJS) $(OBJS2) $(DEPFILE) libvdr-*.so $(PACKAGE).tar.gz core* *~
-	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
+	@-rm -f version.c i18n.c
+	@-rm -f $(PODIR)/*.mo
+
+FORCE:

=== debian/changelog ===
vdr-plugin-mp3 (0.10.4-2) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 20:04:45 +0100

vdr-plugin-mp3 (0.10.4-1) unstable; urgency=medium

  [ Tobias Grimm ]
  * Project moved to GitHub site
  * New upstream version 0.10.4
  * Update debhelper-compat to 13
  * Build-Depend on vdr >= 2.4.7 (Closes: #984389)

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933201)

 -- Tobias Grimm <etobi@debian.org>  Wed, 22 Dec 2021 08:42:29 +0100

vdr-plugin-mp3 (0.10.2-25) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:25:05 +0100

vdr-plugin-mp3 (0.10.2-24) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 20:14:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
-Standards-Version: 4.1.3
-Homepage: http://www.muempf.de/
+Uploaders: Tobias Grimm <etobi@debian.org>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
+Standards-Version: 4.6.0
+Homepage: https://github.com/vdr-projects/vdr-plugin-mp3
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-mp3.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-mp3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale
-include /usr/share/dpkg/buildtools.mk
PKG_CONFIG ?= pkg-config
CXXFLAGS += $(shell $(PKG_CONFIG) vdr --variable=cxxflags) $(LDFLAGS)

%:
	dh $@ --with vdrplugin

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)

override_dh_install:
	#
	# vdr-plugin-mp3
	#
	install -m 755 $(CURDIR)/debian/mount.sh \
	  $(CURDIR)/debian/vdr-plugin-mp3/usr/share/vdr-plugin-mp3/mount

	install -m 755 $(CURDIR)/examples/image_convert.sh.example \
	  $(CURDIR)/debian/vdr-plugin-mp3/usr/share/vdr-plugin-mp3/image_convert

	cp $(CURDIR)/examples/mp3sources.conf.example \
	  $(CURDIR)/debian/vdr-plugin-mp3/etc/vdr/plugins/mp3sources.conf

	tar -c -f - locale/*/*/vdr-mp3.mo | \
	  tar -x -f - -C debian/vdr-plugin-mp3/usr/share

	install -m 755 $(CURDIR)/debian/mount.sh \
	  $(CURDIR)/debian/vdr-plugin-mplayer/usr/share/vdr-plugin-mplayer/mount

	#
	# vdr-plugin-mplayer
	#
	install -m 755 $(CURDIR)/debian/mplayer.sh \
	  $(CURDIR)/debian/vdr-plugin-mplayer/usr/share/vdr-plugin-mplayer/mplayer

	tar -c -f - locale/*/*/vdr-mplayer.mo | \
	  tar -x -f - -C debian/vdr-plugin-mplayer/usr/share
	
	dh_install

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -rf locale libvdr-*.so.*

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-mp3-$1\.tar\.gz/ \
  https://github.com/vdr-projects/vdr-plugin-mp3/tags .*/v?(\d\S+)\.tar\.gz

## vdr-plugin-mp3 0.10.5

=== debian/changelog ===
vdr-plugin-mp3 (0.10.5-1) unstable; urgency=medium

  * New upstream version 0.10.5
  * add myself to uploaders
  * replace build-depends pkg-config with pkgconf
  * fix clean target

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Feb 2025 19:31:38 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
-Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkg-config, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <martin@uni-mainz.de>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), pkgconf, libsndfile1-dev, libid3tag0-dev, libmad0-dev, libvorbis-dev, gettext
 Standards-Version: 4.6.0
 Homepage: https://github.com/vdr-projects/vdr-plugin-mp3
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-mp3.git

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 	dh $@ --with vdrplugin
 
 override_dh_auto_build:
+	cp -a po po.sav
 	dh_auto_build -- all $(MAKE_OPTIONS)
 
 override_dh_install:
@@ -41,9 +42,11 @@
 
 	tar -c -f - locale/*/*/vdr-mplayer.mo | \
 	  tar -x -f - -C debian/vdr-plugin-mplayer/usr/share
-	
+
 	dh_install
 
 override_dh_auto_clean:
 	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
 	rm -rf locale libvdr-*.so.*
+	-cp -a po.sav/* po/
+	-rm -r po.sav po/mp3-mplayer.pot
